using System.ComponentModel;
using VeterinaryDataModels.Models;

namespace VeterinaryContracts.ViewModels
{
    public class PetViewModel : IPetModel
	{
		public int Id { get; set; }
		[DisplayName("Хозяин")]
		public int OwnerId { get; set; }
		[DisplayName("Кличка")]
		public string PetName { get; set; } = string.Empty;
		[DisplayName("Вид")]
		public string PetType { get; set; } = string.Empty;
		[DisplayName("Порода")]
		public string PetBreed { get; set; } = string.Empty;
		[DisplayName("Пол")]
		public string PetGender { get; set; } = string.Empty;
		public Dictionary<int, IVisitModel> VisitPets { get; set; } = new();
		public Dictionary<int, IPurchaseModel> PurchasePets { get; set; } = new();
	}
}
